Bug 240254 - databases/mariadb104-server: Add support as a default value for mysql
Summary: databases/mariadb104-server: Add support as a default value for mysql
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-01 18:49 UTC by Dries Michiels
Modified: 2020-02-02 19:57 UTC (History)
2 users (show)

See Also:
w.schwarzenfeld: maintainer-feedback? (brnrd)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2019-09-01 18:49:20 UTC
With mariadb104-{server/client} in the ports tree it would be nice to have support for building against that specific verison of mariadb by default.

eg:
default_versions += mysql=10.4m

CC: mariadb maintainer
Comment 1 Bernard Spil freebsd_committer 2019-09-02 19:43:30 UTC
I see no reason why that wouldn't work.

Can you provide some logs? I added 10.4 to Mk/Uses/mysql.mk when I added 10.4
Comment 2 Dries Michiels 2019-09-02 19:52:22 UTC
Oops, sorry Bernard this is on me. I actually didn't try the switch as I typically look at bsd.default-versions.mk for possible values.

I just tested it and as you said it works as expected. 

bsd.default-versions.mk does not say 10.4m is a valid value (from where my initial confusion originated):
# Possible values: 5.5, 5.6, 5.7, 8.0, 5.5m, 10.0m, 10.1m, 10.2m, 10.3m, 5.5p, 5.6p, 5.7p, 5.6w
Comment 3 Bernard Spil freebsd_committer 2019-09-03 18:28:52 UTC
Created https://reviews.freebsd.org/D21511

Awaiting review by ports-manager

Thanks for your help!
Comment 4 Dries Michiels 2019-12-03 17:34:44 UTC
Hi Bernard, have you been able to take a look at this? 
Not really high priority as no real functional change but would still be cool if documented though.
Comment 5 commit-hook freebsd_committer 2020-02-02 19:54:51 UTC
A commit references this bug:

Author: brnrd
Date: Sun Feb  2 19:54:16 UTC 2020
New revision: 525000
URL: https://svnweb.freebsd.org/changeset/ports/525000

Log:
  Mk/bsd.default-versions.mk

   - Remove MariaDB 10.0 (removed from ports r2019-04-19)
   - Add MariaDB 10.4 (added to ports r2019-06-30)

  PR:		240254
  Reported by:	Dries Michiels <driesm michiels gmail com>
  Approved by:	portmgr (rene)
  Differential Revision:	https://reviews.freebsd.org/D21511

Changes:
  head/Mk/bsd.default-versions.mk
Comment 6 Bernard Spil freebsd_committer 2020-02-02 19:57:57 UTC
Sorry this took so long...